Skip to content

Widget availability

GET
/public/v1/availability
curl --request GET \
--url https://example.kwickbooking.com/public/v1/availability \
--header 'X-KB-Publishable-Key: <X-KB-Publishable-Key>'

Free start times on a date for a party, with the seats left, for the widget’s time picker.

venueId
string format: uuid
date
string format: date
party
integer format: int32

OK

Media typeapplication/json

Availability search response for a venue + date range.

object
venueId
required
string format: uuid
slots
required
Array<object>

A bookable slot with remaining capacity (availability search result).

object
date
required
string format: date
slotStart
required
string format: time
remainingSeats
required
integer format: int32
Example
{
"venueId": "01920000-0000-7000-8000-000000000001",
"slots": [
{
"date": "2026-10-16",
"slotStart": "19:00",
"remainingSeats": 18
}
]
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplevalidation-failed

Validation failed

{
"type": "https://developers.kwickblocks.ai/problems/validation-failed",
"title": "Validation failed",
"status": 400,
"detail": "Some of the details weren't valid. Please check them and try again."
}

Invalid or missing integration key (https://developers.kwickblocks.ai/problems/invalid-key)

Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Exampleinvalid-key

Invalid or missing integration key

{
"type": "https://developers.kwickblocks.ai/problems/invalid-key",
"title": "Invalid or missing integration key",
"status": 401,
"detail": "This integration key isn't valid. Ask the venue's admin for a new one."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplenot-found

Not found

{
"type": "https://developers.kwickblocks.ai/problems/not-found",
"title": "Not found",
"status": 404,
"detail": "I couldn't find that."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplerate-limited

Too many requests

{
"type": "https://developers.kwickblocks.ai/problems/rate-limited",
"title": "Too many requests",
"status": 429,
"detail": "There have been too many requests. Please try again in a minute."
}